// DevicePropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "DevicePropDlg.h"
#include "afxdialogex.h"


// CDevicePropDlg 对话框

IMPLEMENT_DYNAMIC(CDevicePropDlg, CDialog)

CDevicePropDlg::CDevicePropDlg(CWnd* pParent /*=nullptr*/)
	: CDialog(IDD_DIAGOG_PDEVICE, pParent)
	, m_iShapeID(0)
	, m_sTitle(_T(""))
	, m_sName(_T(""))
{

}

CDevicePropDlg::~CDevicePropDlg()
{
}

void CDevicePropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_SHAPEID, m_iShapeID);
	DDX_Text(pDX, IDC_EDIT_PROP_TITLE, m_sTitle);
	DDX_Text(pDX, IDC_EDIT_PROP_NAME, m_sName);
}


BEGIN_MESSAGE_MAP(CDevicePropDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CDevicePropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CDevicePropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CDevicePropDlg 消息处理程序


void CDevicePropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnOK();
}


void CDevicePropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnCancel();
}
